## org.apache.batik.util.gui
Class MemoryMonitor.RepaintThread.UpdateRunnable

    java.lang.Object
      org.apache.batik.util.gui.MemoryMonitor.RepaintThread.UpdateRunnable

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  MemoryMonitor.RepaintThread

    protected class MemoryMonitor.RepaintThread.UpdateRunnable

extends java.lang.Object
implements java.lang.Runnable

Field Summary
`boolean` `inEventQueue`

Constructor Summary
`protected` `MemoryMonitor.RepaintThread.UpdateRunnable()`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inEventQueue

    public boolean inEventQueue

Constructor Detail

### MemoryMonitor.RepaintThread.UpdateRunnable

    protected MemoryMonitor.RepaintThread.UpdateRunnable()

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.